//---------------------------------------------------------------------------

#ifndef MessageFormUnitH
#define MessageFormUnitH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Imaging.pngimage.hpp>
#include "PNGButton.hpp"
#include <Vcl.Imaging.jpeg.hpp>
#include <Vcl.Graphics.hpp>
#include "CKBox.h"
#include "GeneralDialogPanel.h"
#include "TextButton.h"
//---------------------------------------------------------------------------

#define MB_CHECKED		0x100
#define MB_UNCHECKED 	0x200

class TMessageForm : public TForm
{
__published:	// IDE-managed Components
	TImage *m_iconError;
	TImage *m_iconInformation;
	TImage *m_iconQuestion;
	TLabel *m_lblMessage;
	TCKBox *m_pbCheck;
	TGeneralDialogPanel *m_panGeneral;
	TTextButton *m_btnYes;
	TTextButton *m_btnOk;
	TTextButton *m_btnNo;
	TTextButton *m_btnCancel;
	void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall FormCreate(TObject *Sender);

private:	// User declarations
	int m_iCheck;

	void __fastcall WMNCHitTest(TWMNCHitTest &Msg);

	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_NCHITTEST, TWMNCHitTest, WMNCHitTest)
	END_MESSAGE_MAP(TForm)
public:		// User declarations
	__fastcall TMessageForm(TComponent* Owner);
	__fastcall ~TMessageForm();

	void _fastcall SetCheckMessage( String strMessage );
	bool GetCheckState();
	int __fastcall ShowMessage( const String AMessage, int AType=MB_ICONINFORMATION|MB_OK, const String ATitle = "" );

};
//---------------------------------------------------------------------------
extern PACKAGE TMessageForm *MessageForm;
//---------------------------------------------------------------------------
#endif
